%define	upstream_name	 File-Remove
%define upstream_version 1.60

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Remove files and directories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd) >= 3.290.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec) >= 3.290.0
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A Perl module to remove files and directories.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/File
%{_mandir}/*/*

%changelog
* Fri Oct 23 2020 tv <tv> 1.600.0-1.mga8
+ Revision: 1638696
- update to 1.60

* Sat Oct 17 2020 tv <tv> 1.590.0-1.mga8
+ Revision: 1636467
- update to 1.59

* Fri Feb 14 2020 umeabot <umeabot> 1.580.0-2.mga8
+ Revision: 1519207
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Oct 06 2018 tv <tv> 1.580.0-1.mga7
+ Revision: 1318140
- update to 1.58

* Wed Sep 19 2018 umeabot <umeabot> 1.570.0-3.mga7
+ Revision: 1268161
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.570.0-2.mga6
+ Revision: 1027497
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 1.570.0-1.mga6
+ Revision: 1007821
- update to 1.57

* Fri Apr 15 2016 shlomif <shlomif> 1.560.0-1.mga6
+ Revision: 1001931
- update to 1.56

* Sat Jan 16 2016 shlomif <shlomif> 1.550.0-1.mga6
+ Revision: 923768
- update to 1.55

* Wed Oct 15 2014 umeabot <umeabot> 1.520.0-5.mga5
+ Revision: 746825
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.520.0-4.mga5
+ Revision: 684756
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.520.0-3.mga4
+ Revision: 511598
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.520.0-2.mga3
+ Revision: 367343
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.520.0-1.mga3
+ Revision: 254949
- update to 1.52

* Thu Nov 03 2011 jquelin <jquelin> 1.510.0-1.mga2
+ Revision: 162210
- update to 1.51
- update to 1.50

* Mon Mar 14 2011 jquelin <jquelin> 1.490.0-1.mga1
+ Revision: 70985
- update to 1.49

* Sun Mar 13 2011 jquelin <jquelin> 1.480.0-1.mga1
+ Revision: 70548
- update to 1.48

* Fri Feb 25 2011 jquelin <jquelin> 1.460.0-1.mga1
+ Revision: 59783
- update to 1.46
- update to 1.46

* Wed Jan 19 2011 jquelin <jquelin> 1.420.0-1.mga1
+ Revision: 23948
- cleaning spec file
- imported package perl-File-Remove

